LINUX.ORG.RU

Не запускается Eclipse, проблема с SWT

 , ,


0

1

На Kubuntu 12.04 (пережила много обновлений с предыдущих релизов) ставлю eclipse из репозитория. Java стоит из репозитория, openjdk, как я понимаю. Хотя во времена предыдущих релизов ставил сановску из репозитория. Но потом благодаря ораклу её убрали. Запускаю Eclipse. Вылетает ошибка:

An error has occurred. See the log file
/home/tim/.eclipse/org.eclipse.platform_3.7.0_155965261/configuration/1344470491794.log.

В логе:

!SESSION 2012-08-09 04:01:31.577 -----------------------------------------------
eclipse.buildId=I20110613-1736
java.version=1.6.0_20
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=ru_RU
Command-line arguments:  -os linux -ws gtk -arch x86_64

!ENTRY org.eclipse.osgi 4 0 2012-08-09 04:01:32.751
!MESSAGE Application error
!STACK 1
java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons: 
        no swt-gtk-3740 in java.library.path
        no swt-gtk in java.library.path
        Can't load library: /home/tim/.swt/lib/linux/x86_64/libswt-gtk-3740.so
        Can't load library: /home/tim/.swt/lib/linux/x86_64/libswt-gtk.so

        at org.eclipse.swt.internal.Library.loadLibrary(Library.java:285)
        at org.eclipse.swt.internal.Library.loadLibrary(Library.java:194)
        at org.eclipse.swt.internal.C.<clinit>(C.java:21)
        at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:63)
        at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:54)
        at org.eclipse.swt.widgets.Display.<clinit>(Display.java:132)
        at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:695)
        at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:161)
        at org.eclipse.ui.internal.ide.application.IDEApplication.createDisplay(IDEApplication.java:153)
        at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:95)
        at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:597)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
        at org.eclipse.equinox.launcher.Main.main(Main.java:1386)

Как я понял, проблема с SWT, но с чем именно — не знаю, я просто в жабе не силён.

На другом компьютере, где тоже ubuntu 12.04, но свежеустановленная, Eclipse нормально запускается.

Собственно, куда копать? Я понимаю, что информации мало, но готов предоставить любую нужную информацию. Просто реально с жабой как-то раньше особо не ковырялся.

☆☆☆☆☆

Скачай с eclipse.org распакуй куда-нибудь и используй, я никогда не доверял дистростроителям, чего они там напакуют.

Legioner ★★★★★ ()

Сделай как Legioner советует. Это лучше всего.

amazpyel ★★★ ()
Ответ на: комментарий от JFreeM

Ну так на другой системе (тот же дистрибутив) всё нормально. Так что, подозреваю, проблема в настройках (переменных окружения или чём-то подобном).

Ttt ☆☆☆☆☆ ()
Ответ на: комментарий от Ttt

Хоть и поздно но все равно, лучше качни, или другие с такими же проблемами, с сайта и запусти чем насиловать себе мозг почему оно не работает, + получишь бонус, на порядок новее версию чем в репах. У меня нут лежит 3.7, а качнул и не парюсь 4.2, в чем разница не знаю, но знаю что обновления не зря делают.

У меня подобная проблема из-за не совместимости с ораклавской явой, на опен пашет и не кашляет.

nixbeast ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.